| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ChainingTransportDescriptor Struct Reference
eProsima Fast DDS API Reference » RTPS » Common Module. » Transport Module.

Base class for the descriptors of chaining transports. More...

`#include <ChainingTransportDescriptor.hpp>`

Inheritance diagram for ChainingTransportDescriptor:
[legend]

## Public Member Functions

FASTDDS_EXPORTED_API | ChainingTransportDescriptor (std::shared_ptr< TransportDescriptorInterface > low_level)
FASTDDS_EXPORTED_API | ChainingTransportDescriptor (const ChainingTransportDescriptor &t)
virtual FASTDDS_EXPORTED_API uint32_t | min_send_buffer_size () const override
| Returns the minimum size required for a send operation.
virtual FASTDDS_EXPORTED_API uint32_t | max_message_size () const override
| Returns the maximum size expected for received messages.
virtual FASTDDS_EXPORTED_API | ~ChainingTransportDescriptor ()=default
Public Member Functions inherited from TransportDescriptorInterface
FASTDDS_EXPORTED_API | TransportDescriptorInterface (uint32_t maximumMessageSize, uint32_t maximumInitialPeersRange)
| Constructor.
FASTDDS_EXPORTED_API | TransportDescriptorInterface (const TransportDescriptorInterface &t)
| Copy constructor.
FASTDDS_EXPORTED_API TransportDescriptorInterface & | operator= (const TransportDescriptorInterface &t)
| Copy assignment.
virtual FASTDDS_EXPORTED_API | ~TransportDescriptorInterface ()=default
| Destructor.
virtual FASTDDS_EXPORTED_API TransportInterface * | create_transport () const =0
| Factory method pattern.
virtual FASTDDS_EXPORTED_API uint32_t | max_initial_peers_range () const
| Returns the maximum number of opened channels for each initial remote peer (maximum number of guessed initial peers to try to connect).
FASTDDS_EXPORTED_API bool | operator== (const TransportDescriptorInterface &t) const
| Comparison operator.
FASTDDS_EXPORTED_API void | lock ()
| Lock internal mutex (for Fast-DDS internal use).
FASTDDS_EXPORTED_API void | unlock ()
| Unlock internal mutex (for Fast-DDS internal use).

## Public Attributes

std::shared_ptr< TransportDescriptorInterface > | low_level_descriptor
| Descriptor for lower level transport.
Public Attributes inherited from TransportDescriptorInterface
uint32_t | maxMessageSize
| Maximum size of a single message in the transport.
uint32_t | maxInitialPeersRange
| Number of channels opened with each initial remote peer.

## Detailed Description

Base class for the descriptors of chaining transports.

A chaining transport allows for the manipulation of data before sending or after receiving from another transport.

Transport configuration:

- low_level_descriptor: Descriptor for lower level transport.

## Constructor & Destructor Documentation

## ◆ ChainingTransportDescriptor() [1/2]

FASTDDS_EXPORTED_API ChainingTransportDescriptor | ( | std::shared_ptr< TransportDescriptorInterface > | low_level | ) |

inline

## ◆ ChainingTransportDescriptor() [2/2]

FASTDDS_EXPORTED_API ChainingTransportDescriptor | ( | const ChainingTransportDescriptor & | t | ) |

inline

## ◆ ~ChainingTransportDescriptor()

virtual FASTDDS_EXPORTED_API ~ChainingTransportDescriptor | ( |  | ) |

virtual default

## Member Function Documentation

## ◆ max_message_size()

virtual FASTDDS_EXPORTED_API uint32_t max_message_size | ( |  | ) | const

inline override virtual

Returns the maximum size expected for received messages.

Reimplemented from TransportDescriptorInterface.

## ◆ min_send_buffer_size()

virtual FASTDDS_EXPORTED_API uint32_t min_send_buffer_size | ( |  | ) | const

inline override virtual

Returns the minimum size required for a send operation.

Implements TransportDescriptorInterface.

## Member Data Documentation

## ◆ low_level_descriptor

std::shared_ptr<TransportDescriptorInterface> low_level_descriptor

Descriptor for lower level transport.

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/transport/ChainingTransportDescriptor.hpp